Masumi Logo

/registry-entry-refresh

Refresh one registry entry by agent identifier. The service first syncs the blockchain cursor, then immediately re-runs the health check for the requested agent and returns the refreshed entry.

POST
/registry-entry-refresh/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://loading/./../api/v1/registry-entry-refresh/" \  -H "Content-Type: application/json" \  -d '{    "network": "Preprod",    "agentIdentifier": "222222222222222222222222222222222222222222222222222222222222222222"  }'
{
  "data": {
    "entry": {
      "id": "unique_cuid_v2",
      "name": "Example API",
      "createdAt": "1970-01-01T00:00:00.000Z",
      "updatedAt": "1970-01-01T00:02:00.000Z",
      "description": "Example API description",
      "status": "Online",
      "statusUpdatedAt": "1970-01-01T00:02:00.000Z",
      "authorName": null,
      "authorContactEmail": null,
      "authorContactOther": null,
      "image": "testimage.de",
      "otherLegal": null,
      "privacyPolicy": null,
      "tags": [],
      "termsAndCondition": "If the answer is 42 what was the question",
      "uptimeCheckCount": 10,
      "uptimeCount": 8,
      "lastUptimeCheck": "1970-01-01T00:00:00.000Z",
      "apiBaseUrl": "https://example.com/api/",
      "authorOrganization": "MASUMI",
      "paymentType": "Web3CardanoV1",
      "agentIdentifier": "222222222222222222222222222222222222222222222222222222222222222222",
      "RegistrySource": {
        "id": "unique_cuid_v2",
        "policyId": "policy_id",
        "url": "https://example.com/api/"
      },
      "Capability": {
        "name": "Example Capability",
        "version": "1.0.0"
      },
      "AgentPricing": {
        "pricingType": "Fixed",
        "FixedPricing": {
          "Amounts": [
            {
              "amount": "100",
              "unit": "USDC"
            }
          ]
        }
      },
      "ExampleOutput": [
        {
          "name": "Example Output",
          "mimeType": "image/png",
          "url": "https://example.com/image.png"
        }
      ],
      "metadataVersion": 1
    }
  },
  "status": "success"
}
Empty
Empty
Empty
Empty
Masumi Kanji